## org.apache.mahout.vectorizer.encoders
Class Dictionary

    java.lang.Object
      org.apache.mahout.vectorizer.encoders.Dictionary

    public class Dictionary

extends Object

Assigns integer codes to strings as they appear.

Constructor Summary
`Dictionary()`

Method Summary
`static Dictionary` `fromList(Iterable<String> values)`
`int` `intern(String s)`
`int` `size()`
`List<String>` `values()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Dictionary

    public Dictionary()

Method Detail

### intern

    public int intern(String s)

### values

    public List<String> values()

### size

    public int size()

### fromList

    public static Dictionary fromList(Iterable<String> values)

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.